package com.bawei.cache.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author DongZl
 * @description: 缓存权限
 * @Date 2022-10-19 上午 08:34
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.METHOD, ElementType.TYPE })
public @interface CacheRole {

    /**
     * 允许操作缓存的微服务
     * @return
     */
    public String serverName() ;
}
